Skip to main content
Agent Insight Monitors

List Agent Insights monitors, optionally filtered by agent name

GET
/agent_insight_monitors
Query Parameters
afterstringoptional
A cursor that identifies the last item in the previous page.
beforestringoptional
A cursor that identifies the first item in the next page.
limitintegeroptionaldefault: 20
The maximum number of items to return. Defaults to 20.
orderstringoptionaldefault: desc
Sort order by creation time. Defaults to descending.
ascdesc
agent_namestringoptional
Filter monitors by agent name.
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
AgentInsights=V1Preview
Responses
dataAgentInsightMonitorListItem[]required
The requested list of items.
idstringrequired
The monitor identifier.
agent_namestringrequired
The agent this monitor analyzes. There can be only one monitor per agent.
enabledbooleanrequired
Whether scheduled insight generation is armed for the monitor.
run_interval_hoursnumberrequired
Interval between scheduled insight runs, in hours.
model_deployment_namestringrequired
The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.
next_scheduled_run_atinteger
estimated_costAgentInsightEstimatedCost
Estimated Agent Insights cost.
suspensionAgentInsightSuspension | nullrequired
Why the system suspended scheduled generation. Null when the monitor is not suspended.
updated_atintegerrequired
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.